API Explorer
The IBRD Country Exposure dataset provides detailed information on the IBRD's exposures of loss due to a borrowing country not meeting its contractual obligations. It includes data on outstanding loans, guarantees, and financial commitments across various countries. In addition, the dataset also covers credit enhancement arrangements like derivatives at fair value, guarantees received from highly rated member countries or other Multilateral Development Banks which reduces IBRD's exposure.
The dataset provides quarterly data to offer a historical perspective for analysis. For the most up-to-date insights, please ensure you use data pertaining to the latest available quarter to assess the current status.
Parameters
| Parameter | Value | Description | API FIELD NAME | Data Type |
|---|---|---|---|---|
| Client SWAPs receivables (US$) | Member Country Exposure under IBRD stand alone hedges | client_swaps_receivables | NUMBER | |
| Country Code | Country Code according to the World Bank country list. Might be different from the ISO country code. | country_code | STRING | |
| Country Name | Country to which loan has been issued. Loans to the IFC are included under the country “World”. | country_name | STRING | |
| Derivative Indemnities (US$) | Credit Enhancements treated as derivatives | derivative_indemnities | NUMBER | |
| EEA Given (positive) (US$) | Financial Guarantee given under Exposure Exchange Agreements (EEA) with MDBs | eea_given_positive | NUMBER | |
| EEA Received (negative) (US$) | Financial Guarantee received under Exposure Exchange Agreements with MDBs | eea_received_negative | NUMBER | |
| EOP Date | End of Period Date represents the date as of which balances are shown in the report. | eop_date | DATE | |
| Financier | Financier indicates if the lending is under IBRD or IDA. | financier | STRING | |
| Guarantees from AIIB (US$) | Financial Guarantee received from Asian Infrastructure Investment Bank (AIIB) | guarantees_from_aiib | NUMBER | |
| Indemnity Agreements (US$) | Financial Guarantee received from third party countries on loans issued by IBRD | indemnity_agreements | NUMBER | |
| Outstanding Loans (US$) | IBRD Outstanding Loan represents outstanding balances for the loans | outstanding_loans | NUMBER | |
| PV of Guarantees (US$) | Present value of Financial Guarantees given (Project Based, Policy Based guarantees) | pv_of_guarantees | NUMBER | |
| Repaying PPFs (US$) | IBRD PPF (Project Preparation Financing) amounts due by countries for repayment | repaying_ppfs | NUMBER | |
| Special Commitments (US$) | Presents amounts under irrevocable commitments made by the Bank, at request of the Borrower | special_commitments | NUMBER | |
| Total IBRD Exposure (US$) | "Total IBRD Exposure" is sum of "Total IBRD Exposure - Loans", "Total IBRD Exposure - Guarantees provided" and "Total IBRD Exposure - Guarantees received". | total_ibrd_exposure | NUMBER | |
| Total IBRD Exposure - Guarantee provided (US$) | "Total Exposure - Guarantee provided" is sum of "EEA Given (positive)" and "PV of Guarantees". | total_ibrd_exposure__guarantee_provided | NUMBER | |
| Total IBRD Exposure - Guarantee received (US$) | "Total IBRD Exposure - Guarantee received" is sum of "EEA Received (negative)", "Indemnity Agreements", "Guarantees from AIIB", "Derivative Indemnities". | total_ibrd_exposure__guarantee_received | NUMBER | |
| Total IBRD Exposure - Loans (US$) | "Total IBRD Exposure - Loans" is sum of "Client SWAPs receivables", "Outstanding loans", "Repaying PPFs", "Special Commitments", and "Undisbursed DDOs". | total_ibrd_exposure__loans | NUMBER | |
| Undisbursed DDOs (US$) | Presents undisbursed amounts under signed loans with Deferred Drawdown Option (DDO) | undisbursed_ddos | NUMBER | |
| Resource ID | ID of the associated Resource | STRING | ||
| Select | Fields that required E.g (fiscal_year|supplier_country|total_amount) | STRING | ||
| Top | Number of records to fetch | NUMBER | ||
| Skip | Skip the records from the ascending order | NUMBER |
https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&top=100&type=json
No Data Available
Additional Information
Time Series
Country Name
Quarter
National
official
Quarterly
World
eop_date
Query tool,API,Mobile App,Bulk download
English
Within 10 business days following the end of the quarter
Dec 31, 2025
Feb 5, 2026
Oct 29, 2025
Scope
What's in this Dataset?
1,144
19
JavaScript makes it super simple to fetch from an API endpoint.
fetch('https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&top=100&type=json')
.then(response => {
if (!response.ok) {
throw new Error('');
}
return response.json();
})
.then(data => {
// Do something with the response data
// console.log(data);
})
.catch(error => {
console.error('Error:', error);
});
async function fetchAllData(url) {
let allData = [];
let hasMoreData = true;
let top = 1000;
let skip = 0;
while (hasMoreData) {
const response = await fetch(`${url}&top=${top}&skip=${skip}`);
if (!response.ok) {
throw new Error('Network response was not ok');
}
const res = await response.json();
allData = allData.concat(res);
// Check if we received less data than requested, indicating no more data
if (res.data.length < top) {
hasMoreData = false;
} else {
skip += top;
}
}
return allData;
}
let url = 'https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&type=json';
fetchAllData(`${url}`).then(allData => {
// Do something with all the data
// console.log(allData);
})
.catch(error => {
console.error('Error:', error);
});Python for easily work with data.
import requests
url = 'https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&top=100&type=json'
try:
response = requests.get(url)
response.raise_for_status() # Raise an exception for 4XX and 5XX status codes
data = response.json() # Parse the JSON response
print(data) # Print the response data
except requests.RequestException as e:
print(f'Error: {e}')import requests
def fetch_all_data():
base_url = 'https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice'
dataset_id = 'DS04621'
resource_id = 'RS03878'
top = 1000
skip = 0
all_data = []
total_count = 0
page = 1
while True:
url = f'{base_url}?datasetId={dataset_id}&resourceId={resource_id}&top={top}&type=json&skip={1000*(page-1)}'
try:
response = requests.get(url, timeout=10)
#print(response)
response.raise_for_status() # Raise an exception for 4XX and 5XX status codes
data = response.json() # Parse the JSON response
# Assuming the actual data is in the 'data' key of the response
if 'data' not in data or not data['data']: # Exit the loop if no more data is returned
break
if page == 1 and 'count' in data:
total_count = data['count'] # Store the total count from the first response
all_data.extend(data['data']) # Add the fetched data to the list
page += 1 # Increment the page value to get the next set of records
#print(f'Page: {page}, Status Code: {response.status_code}')
except requests.RequestException as e:
print(f'Error: {e}')
break
return {'count': total_count, 'data': all_data}
# Fetch all data and print it
all_data = fetch_all_data()
print(all_data)PowerShell code to extract data.
$url = 'https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&top=100&type=json'
try {
$response = Invoke-RestMethod -Uri $url -Method Get
# Print the response
Write-Output $response
} catch {
# Print error message if request fails
Write-Error "Error: $_"
}function Fetch-AllData {
param (
[string]$baseUrl
)
$allData = @()
$top = 1000
$skip = 0
$hasMoreData = $true
while ($hasMoreData) {
$url = "$baseUrl&top=$top&skip=$skip"
try {
$response = Invoke-RestMethod -Uri $url -Method Get
$allData += $response.data
# Check if we received less data than requested, indicating no more data
if ($response.data.Count -lt $top) {
$hasMoreData = $false
} else {
$skip += $top
}
} catch {
Write-Error "Error: $_"
$hasMoreData = $false
}
}
return $allData
}
$baseUrl = 'https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&type=json'
$allData = Fetch-AllData -baseUrl $baseUrl
# Do something with all the data
$allData | ConvertTo-Json | Write-OutputThe following snippet brings data into your application.
require 'net/http'
url = URI('https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&top=100&type=json')
begin
response = Net::HTTP.get_response(url)
if response.is_a?(Net::HTTPSuccess)
puts response.body
else
puts "Error: #{response.code} - #{response.message}"
end
rescue StandardError => e
puts "Error: #{e.message}"
endrequire 'net/http'
require 'json'
require 'uri'
def fetch_all_data(base_url)
all_data = []
has_more_data = true
top = 1000
skip = 0
while has_more_data
url = URI("#{base_url}&top=#{top}&skip=#{skip}")
response = Net::HTTP.get_response(url)
if response.is_a?(Net::HTTPSuccess)
begin
data = JSON.parse(response.body)
if data.key?('data')
all_data.concat(data['data'])
# Check if we received less data than requested, indicating no more data
if data['data'].length < top
has_more_data = false
else
skip += top
end
else
has_more_data = false
end
rescue JSON::ParserError => e
puts "JSON parsing error: #{e.message}"
has_more_data = false
end
else
puts "Error: #{response.code} - #{response.message}"
has_more_data = false
end
end
all_data
rescue StandardError => e
puts "Error: #{e.message}"
end
base_url = 'https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&type=json'
all_data = fetch_all_data(base_url)
puts all_dataBelow code that makes usage with .NET more natural.
using System;
using System.Net.Http;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var response = await new HttpClient().GetStringAsync("https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&top=100&type=json");
Console.WriteLine(response);
}
}using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;
using Newtonsoft.Json.Linq;
class Program
{
static async Task Main(string[] args)
{
string baseUrl = "https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&type=json";
var allData = await FetchAllData(baseUrl);
// Do something with all the data
Console.WriteLine(allData);
}
static async Task<JArray> FetchAllData(string baseUrl)
{
var allData = new JArray();
int top = 1000;
int skip = 0;
bool hasMoreData = true;
using (HttpClient client = new HttpClient())
{
while (hasMoreData)
{
string url = $"{baseUrl}&top={top}&skip={skip}";
var response = await client.GetStringAsync(url);
var data = JArray.Parse(JObject.Parse(response)["data"].ToString());
allData.Merge(data);
// Check if we received less data than requested, indicating no more data
if (data.Count < top)
{
hasMoreData = false;
}
else
{
skip += top;
}
}
}
return allData;
}
}JAVA for easily work with data.
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
public class Main {
public static void main(String[] args) throws Exception {
URL url = new URL("https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&top=100&type=json");
HttpURLConnection connection = (HttpURLConnection) url.openConnection();
connection.setRequestMethod("GET");
BufferedReader reader = new BufferedReader(new InputStreamReader(connection.getInputStream()));
String line;
StringBuffer response = new StringBuffer();
while ((line = reader.readLine()) != null) {
response.append(line);
}
reader.close();
System.out.println(response.toString());
}
}import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import org.json.JSONArray;
import org.json.JSONObject;
public class Main {
public static void main(String[] args) throws Exception {
String baseUrl = "https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&type=json";
int top = 1000;
int skip = 0;
boolean hasMoreData = true;
JSONArray allData = new JSONArray();
while (hasMoreData) {
String urlWithParams = baseUrl + "&top=" + top + "&skip=" + skip;
URL url = new URL(urlWithParams);
HttpURLConnection connection = (HttpURLConnection) url.openConnection();
connection.setRequestMethod("GET");
BufferedReader reader = new BufferedReader(new InputStreamReader(connection.getInputStream()));
String line;
StringBuffer response = new StringBuffer();
while ((line = reader.readLine()) != null) {
response.append(line);
}
reader.close();
JSONObject jsonResponse = new JSONObject(response.toString());
JSONArray data = jsonResponse.getJSONArray("data");
for (int i = 0; i < data.length(); i++) {
allData.put(data.getJSONObject(i));
}
// Check if we received less data than requested, indicating no more data
if (data.length() < top) {
hasMoreData = false;
} else {
skip += top;
}
}
// Do something with all the data
System.out.println(allData.toString());
}
}The following snippet brings data into your application.
shell "curl -X GET https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&top=100&type=json"#!/bin/bash
top=1000
skip=0
has_more_data=true
all_data="[]"
while $has_more_data; do
url="https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&type=json&top=$top&skip=$skip"
response=$(curl -s -X GET "$url")
# Extract data from the response
data=$(echo "$response" | jq '.data')
# Append the new data to all_data
all_data=$(echo "$all_data $data" | jq -s '[.[][]]')
# Check if we received less data than requested, indicating no more data
data_length=$(echo "$data" | jq 'length')
if [[ "$data_length" -lt "$top" ]]; then
has_more_data=false
else
skip=$((skip + top))
fi
done
# Output all the data
echo "$all_data" | jqPHP code to brings the data.
<?php
// Specify the URL you want to send the GET request to
$url = "https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&top=100&type=json";
// Initialize cURL session
$curl = curl_init();
// Set the cURL options
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
// Execute cURL session
$response = curl_exec($curl);
// Close cURL session
curl_close($curl);
// Print the response
echo $response;
?>
<?php
function fetchAllData($baseUrl) {
$allData = [];
$hasMoreData = true;
$top = 1000;
$skip = 0;
while ($hasMoreData) {
$url = "{$baseUrl}&top={$top}&skip={$skip}";
$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($curl);
if (curl_errno($curl)) {
echo 'Curl error: ' . curl_error($curl);
curl_close($curl);
break;
}
curl_close($curl);
$data = json_decode($response, true);
if (isset($data['data'])) {
$allData = array_merge($allData, $data['data']);
// Check if we received less data than requested, indicating no more data
if (count($data['data']) < $top) {
$hasMoreData = false;
} else {
$skip += $top;
}
} else {
$hasMoreData = false;
}
}
return $allData;
}
$baseUrl = 'https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&type=json';
$allData = fetchAllData($baseUrl);
print_r($allData);Copy and paste the following to import this dataset into Stata.
clear
. import delimited "https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&top=100&type=json"clear
local base_url "https://datacatalogapi.worldbank.org/dexapps/fone/api/apiservice?datasetId=DS04621&resourceId=RS03878&type=json"
local top 1000
local skip 0
local has_more_data 1
tempfile all_data
save `all_data', emptyok
while `has_more_data' {
local url "`base_url'&top=`top'&skip=`skip'"
import delimited "`url'", clear
// Check if we received less data than requested, indicating no more data
local n = _N
if `n' < `top' {
local has_more_data 0
} else {
local skip = `skip' + `top'
}
append using `all_data'
save `all_data', replace
}
use `all_data'GET
https://datacatalogapi.worldbank.org/dexapps/fone/api/metadata?assetId=DS04621